{% extends 'base.html'%}{% load markdownify%} {% block content%}
    <main>
        <div>
            <h1>{{project.name}}</h1>
            {{project.description|markdownify}}
            <h2>{{project.tasks.all|length}}</h2>
            <p><a href="{% url 'create_task' %}">Create a new task</a></p>
            {%if project.tasks.all%}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for tasks in project.tasks.all%}
                            <tr>
                                <td>{{tasks.name}}</td>
                                <td>{{tasks.assignee}}</td>
                                <td>{{tasks.start_date}}</td>
                                <td>{{tasks.due_date}}</td>
                                <td>{% if tasks.is_completed%} Done {% endif %}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{%endblock content%}
